#ifndef RT_ASSET_COMPILER_H
#define RT_ASSET_COMPILER_H

#ifndef RT_BUILD_ASSET_COMPILER
#error This file should only be included if RT_BUILD_ASSET_COMPILER is defined. 
#endif

#include "file_tab.h"

#ifdef __cplusplus
extern "C" {
#endif

enum {
    RT_ASSET_PROCESSING_FAILED = RT_CUSTOM_ERROR_START,
};

/* Allocated from the buffer manager */
typedef struct {
    void *buffer;
    size_t size;
} rt_loaded_asset;

rt_loaded_asset LoadAsset(rt_file_id file);

#ifdef __cplusplus
}
#endif

#endif