#ifndef RT_ASSETC_PACKAGES_H
#define RT_ASSETC_PACKAGES_H

#include "runtime/runtime.h"
#include "runtime/assets.h"

void rtInitPackages(void);

unsigned int rtAddPackageFile(rt_text_span name);

void rtAddAssetToPackage(unsigned int package, rt_uid uid, void *buffer, size_t size);
void rtAddUnchangedAssetToPackage(unsigned int package, rt_uid uid);

rt_result rtSavePackages(void);

#endif
